leonucadomi Posted December 13, 2022 Share Posted December 13, 2022 hello: I want to run break command from lsp the problem is that I want to break only at one point and it breaks me at two points when i write break in the command line this is shown I use this line (command "_break" "\\" "\\" "") but I would like to break only at one point without having to use the icon any suggestions? Quote Link to comment Share on other sites More sharing options...
mhupp Posted December 13, 2022 Share Posted December 13, 2022 (edited) (command "_BREAK" (car (entsel "\nSelect Entity")) (getpoint "\nBreak at point") "@") Edited December 13, 2022 by mhupp 1 Quote Link to comment Share on other sites More sharing options...
elyosua Posted December 29, 2022 Share Posted December 29, 2022 (DEFUN c:PartirEnPunto () (PRINC "\n") (COMMAND "_.break" pause "_f" pause "@") (PRIN1) ) Quote Link to comment Share on other sites More sharing options...
aridzv Posted December 29, 2022 Share Posted December 29, 2022 this is what I use to break by one point: (defun c:Brk_Fp () (if (and (setq ss (ssget ":S")) (setq pt (getpoint "\nSelect break point: ")) ) (progn (setq ename (ssname ss 0)) (command "_.break" ename "_none" pt "_none" pt) ) ) (princ) ) 1 Quote Link to comment Share on other sites More sharing options...
j2lstaples Posted December 29, 2022 Share Posted December 29, 2022 I recently just saw this post and I've been trying my best to try to recursively break a polyline at points (in a list) that may or may not be on it. So far, no luck. I'll sleep on it a while. Quote Link to comment Share on other sites More sharing options...
troggarf Posted January 2, 2023 Share Posted January 2, 2023 (edited) There is a new BREAKATPOINT command that does this. I made an alias of BAP for it Edited January 2, 2023 by troggarf Spelling 2 Quote Link to comment Share on other sites More sharing options...
Alexander Posted January 14, 2023 Share Posted January 14, 2023 On 12/13/2022 at 5:05 PM, leonucadomi said: hello: I want to run break command from lsp the problem is that I want to break only at one point and it breaks me at two points when i write break in the command line this is shown I use this line (command "_break" "\\" "\\" "") but I would like to break only at one point without having to use the icon any suggestions? Hi, I use (defun c:bn ()(command "break" PAUSE "F")) to break at 2 points, but at one point (defun c:nm () (setq p1 (getpoint "Punto de corte...")) (command "break" pause "F" p1 p1) ) its not a great solution, but may be you think a another best solution!!! Quote Link to comment Share on other sites More sharing options...
SanganakSakha Posted September 17, 2023 Share Posted September 17, 2023 Quick and dirty code - (no error checking no data validation) (setq brekData (nentsel "\nClick break point: ")) (setq entToBrek (car brekData)) (setq brekPt (cadr brekData)) (command "_.Break" entToBrek brekPt brekPt) Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.